(define (problem prob-room-05)
	(:domain room)
	(:objects
		A - alarm
		RG - robot
		O1 O2 O3 O4 - object
		PO1 PO2 PO3 PO4 PO5 - precious-object
		W - window
		SB1 SB2 - safe-box
		L - light
		P0 P1 P2 P3 P4 P5 P6 P7 P8 P9 P10 P11 P12 - location
	)
	(:init
		(image-off RG)
		(off L)
		(at RG P0)
		(has-fuel RG)
		(present O1 P2)
		(present O2 P3)
		(present O3 P7)
		(present O4 P9)
		(present-complete PO1 P1)
		(present-complete PO2 P6)
		(present-complete PO3 P10)
		(present-complete PO4 P11)
		(present-complete PO5 P12)
		(at W P4)
		(closed W)
		(at SB1 P5)
		(locked SB1)
		(at SB2 P8)
		(locked SB2)
		(con P0 P1)
		(con P1 P0)
		(con P0 P10)
		(con P10 P0)
		(con P9 P0)
		(con P0 P9)
		(con P9 P10)
		(con P10 P9)
		(con P10 P11)
		(con P11 P10)
		(con P11 P12)
		(con P12 P11)
		(con P12 P4)
		(con P4 P12)
		(con P9 P8)
		(con P8 P9)
		(con P9 P7)
		(con P7 P9)
		(con P7 P6)
		(con P6 P7)
		(con P1 P2)
		(con P2 P1)
		(con P2 P3)
		(con P3 P2)
		(con P3 P4)
		(con P4 P3)
		(con P4 P5)
		(con P5 P4)
		(con P5 P6)
		(con P6 P5)
	)
	(:goal	(and
			(at RG P0)
			(controlled PO1)
			(controlled PO2)
			(controlled PO3)
			(controlled PO4)
			(controlled PO5)
			(controlled O1)
			(controlled O2)
			(controlled O3)
			(controlled O4)
			(controlled W)
			(controlled SB1)
			(controlled SB2)
			(off L)
		)
	)
)
