#!/usr/bin/perl

($IN,$OUT,$PROB,$FF_FILE,$IPP_FILE)=@ARGV;

open FIN, "< $IN";
open FOUT, ">> $OUT";

while (!eof(FIN))
{
    $linea=<FIN>;  #legge la prima linea e poi la toglie
    chop($linea);  #toglie da linea il simbolo di ritorno a capo
    ($first, $second) = split(/::/,$linea,2); 

    if ($first eq "AABBCC")
    {     
       ($tot_time1,$num_liv1,$num_az1) = split(/::/,$second,3);
    }   
    if ($first eq "AABBCC2")
    {
       ($tot_time2,$num_liv2,$num_az2) = split(/::/,$second,3);
    }
}

($PROB, $DUMMY) = split(/.pddl.txt/,$PROB,2);

open FIN, "< $FF_FILE";
while (!eof(FIN))
{
    $linea=<FIN>;
    chop($linea);
    ($first, $second) = split(/::/,$linea,2); 

    if ($first eq $PROB)
    {     
       ($ff_time,$ff_num_az) = split(/::/,$second,2);
    }   
}

open FIN, "< $IPP_FILE";
while (!eof(FIN))
{
    $linea=<FIN>;
    chop($linea);
    ($first, $second) = split(/::/,$linea,2); 

    if ($first eq $PROB)
    {     
       ($ipp_time,$ipp_num_liv,$ipp_num_az) = split(/::/,$second,3);
    }   
}

print FOUT "{\\tt $PROB} & {$tot_time1} & {$num_liv1} & {$num_az1} & {$tot_time2} & {$num_liv2} & {$num_az2} & {$ff_time} & {$ff_num_az} & {$ipp_time} & {$ipp_num_liv} & {$ipp_num_az}\\\\%$PROB\n";

close(FIN);
close(FOUT);

