#!/usr/bin/perl

($IN,$OUT,$PROB)=@ARGV;

open FIN, "< $IN";
open FOUT, ">> $OUT";

while (!eof(FIN))
{
    $linea=<FIN>;  #legge la prima linea e poi la toglie
    chop($linea);  #toglie da linea il simbolo di ritorno a capo
    ($first, $second) = split(/::/,$linea,2); 

    if ($first eq "AABBCC")
    {     
       ($gpg_time,$ff_time,$num_az,$noise_rate,$max_noisy_ops,
        $applyed_noisy_ops,$irrelevant_noisy_ops,$not_applyable_noisy_ops) = split(/::/,$second,8);
    }   
}

($PROB, $DUMMY) = split(/.txt/,$PROB,2); 

print FOUT "{\\tt $PROB} & {$gpg_time} & {$ff_time} & {$num_az} & {$noise_rate} & {$max_noisy_ops} & {$applyed_noisy_ops} & {$irrelevant_noisy_ops} & {$not_applyable_noisy_ops} \\\\%$PROB\n";

close(FIN);
close(FOUT);

